Nowe posty

xx Różnice w wydajności :) (0)
Wczoraj o 21:20:21
xx Problem z pulpitem w XFCE (1)
Wczoraj o 10:43:16
xx Problemy z instalacją ustawień jądra (1)
2024-02-26, 14:01:41
xx System 5.1 jak podłączyć i skonfigurować? (3)
2024-02-23, 22:32:16
xx Alternatywa dla Hamachi pod Raspberry Pi? (1)
2024-02-22, 13:51:32
xx Everspace (7)
2024-02-21, 21:33:19
xx [C] Uruchamianie zewnętrznych programów (14)
2024-02-11, 19:20:33
xx libfuse i wielowątkowość (5)
2024-02-11, 13:37:22
xx [libfuse3] Kolejkowanie tworzenia plików dla tego samego katalogu (0)
2024-02-11, 13:31:51

Autor Wątek: 2.6.13.2 i IP_CONNTRACK  (Przeczytany 10447 razy)

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« dnia: 2005-09-25, 22:06:05 »
witam.

to mój pierwszy post na forum i drugi dzień z linuksem, proszę - nie linczujcie mnie jeśli piszę o czymś co jest powszechnie wiadome.

przejrzałem wątki na tym podforum, ale nie znalazłem rozwiązania swojego problemu.

w czym rzecz?

nie jestem w stanie uruchomić żadnej aplikacji związanej z dźwiękiem, podejrzewam że karta dźwiękowa nie jest zainstalowana. mam zainstalowany pakiet ALSA-utils i ALSA-base, ale po wpisaniu polecenia
alsaconf
mam komunikat:
bash: alsaconf: command not found

próba uruchomienia regulacji głośności - dostaję komunikat:
nie znaleziono elementów i/lub urządzeń kontroli głośności.

po wpisaniu
insmod emu10k1
dostaję
insmod: can\\'t read \\'emu10k1\\': No such file or directory

po wpisaniu
lspci -v | grep audio
otrzymuję
0000:02:04.0 Multimedia audio controller: Creative Labs: Unknown device 0008

próbowałem wykonywać krok po kroku operacje ze strony:
http://www.alsa-project.org/alsa-doc/doc-php/template.php?company=Creative+Labs&card=Sound+Blaster+Audigy2+ZS+Value.&chip=CA0108&module=emu10k1

ale proces zatrzymał się, dostałem \\"podejrzane\\" (przynajmniej wg mnie) komunikaty:
./configure --with-cards=emu10k1 --with-sequencer=yes;make;make install
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable cc found in $PATH
make all-deps
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-0.9.8\\'
make[1]: Nie ma nic do roboty w `all-deps\\'.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-0.9.8\\'

Please, run the configure script as first...

rm -f /snd*.o /persist.o /isapnp.o
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-0.9.8/support\\'
Makefile:9: ../Makefile.conf: Nie ma takiego pliku ani katalogu
Makefile:27: /Rules.make: Nie ma takiego pliku ani katalogu
make[1]: *** Brak reguł do wykonania obiektu `/Rules.make\\'. Stop.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-0.9.8/support\\'
make: *** [install-modules] Błąd 1
root@betoniarka:/usr/src/alsa/alsa-driver-0.9.8 #


nie wiem, co dalej można zrobić ;( dźwięku nie ma i nie wiem co dalej!

pomóżcie koledzy! (i koleżanki) ;)

kriks

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #1 dnia: 2005-09-25, 22:42:00 »
--with-sequencer=yes;make;make install
 > checking for gcc... no
 > checking for cc... no
 > checking for cc... no
 > checking for cl... no
 > configure: error: no acceptable cc found in $PATH
 > make all-deps
 > make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-0.9.8\\'
 > make[1]: Nie ma nic do roboty w `all-deps\\'.
 > make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-0.9.8\\'
 >
 > Please, run the configure script as first...
 >
 > rm -f /snd*.o /persist.o /isapnp.o
 > make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-0.9.8/support\\'
 > Makefile:9: ../Makefile.conf: Nie ma takiego pliku ani katalogu
 > Makefile:27: /Rules.make: Nie ma takiego pliku ani katalogu
 > make[1]: *** Brak reguł do wykonania obiektu `/Rules.make\\'. Stop.
 > make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-0.9.8/support\\'
 > make: *** [install-modules] Błąd 1
 > root@betoniarka:/usr/src/alsa/alsa-driver-0.9.8 #
 >
 >
 > nie wiem, co dalej można zrobić ;( dźwięku nie ma i nie wiem co dalej!
 >
 > pomóżcie koledzy! (i koleżanki) ;)


no same błędy , zasaadniczo to nawet nie ma gcc
,pocztaj troche o tym!!

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #2 dnia: 2005-09-25, 22:58:52 »
2005-09-25 22:42:00 kriks napisał:
 > no same błędy , zasaadniczo to nawet nie ma gcc
 > ,pocztaj troche o tym!!

no tak, ale z tego co wyczytałem to ubuntu zawiera ten sterownik ALSA, a to co pokazuję to moja nieudana próba jego instalowania...

jak więc to jest - jest ALSA czy go nie ma?

kriks

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #3 dnia: 2005-09-25, 23:08:27 »
2005-09-25 22:58:52 s4 napisał:

> 2005-09-25 22:42:00 kriks napisał:
 >  > no same błędy , zasaadniczo to nawet nie ma gcc
 >  > ,pocztaj troche o tym!!
 >
 > no tak, ale z tego co wyczytałem to ubuntu zawiera ten sterownik ALSA, a to co pokazuję to moja
 > nieudana próba jego instalowania...
 >
 > jak więc to jest - jest ALSA czy go nie ma?

kompilowałeś jądro??

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #4 dnia: 2005-09-25, 23:16:33 »
2005-09-25 23:08:27 kriks napisał:
 > kompilowałeś jądro??

nie kompilowałem.
w FAQ pojawiały się wzmianki o tym, ale nie wiem jak się do tego zabrać żeby czegoś nie schrzanić :/

xis

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #5 dnia: 2005-09-25, 23:37:07 »
2005-09-25 23:16:33 s4 napisał:

> 2005-09-25 23:08:27 kriks napisał:
 >  > kompilowałeś jądro??
 >
 > nie kompilowałem.
 > w FAQ pojawiały się wzmianki o tym, ale nie wiem jak się do tego zabrać żeby czegoś nie
 > schrzanić :/

Przede wszystkim poczytaj

man insmod
man modprobe

i zauważ podstawową różnicę - insmod za parametr bierze nazwę pliku modułu, a modprobe - nazwę modułu. Różnica subtelna, ale jest :)

A co do narzędzi ALSY, to alsaconf musi być w alsautils. Skoro nie masz kompilatora i innych bibliotek to polecam jednak instalowanie pakietów binarnych dla Twojej dystrybucji. Będzie wygodniej i nie namieszasz z zależnościami.
Generalnie wykonanie alcaconf (u mnie jest w /usr/sbin/alsaconf) wymaga uprawnień roota - nie zapomnij o tym!

Powodzenia

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #6 dnia: 2005-09-26, 08:19:29 »
2005-09-25 23:37:07 xis napisał:

 > Przede wszystkim poczytaj
 >
 > man insmod
 > man modprobe
 >
 > i zauważ podstawową różnicę - insmod za parametr bierze nazwę pliku modułu, a modprobe - nazwę
 > modułu. Różnica subtelna, ale jest :)
 >
 > A co do narzędzi ALSY, to alsaconf musi być w alsautils. Skoro nie masz kompilatora i innych
 > bibliotek to polecam jednak instalowanie pakietów binarnych dla Twojej dystrybucji. Będzie
 > wygodniej i nie namieszasz z zależnościami.
 > Generalnie wykonanie alcaconf (u mnie jest w /usr/sbin/alsaconf) wymaga uprawnień roota - nie
 > zapomnij o tym!
 >
 > Powodzenia


taaa....

przeczytałem manuale do obydwu poleceń i (wydaje mi się, że) nie przybliżyło mnie to do rozwiązania nawet o krok :/

dalej nie wiem jak doinstalować ALSA, alsaconf nie mogę wywołać, nie mam tego katalogu o którym pisałeś.

menedżer pakietów pokazuje, że alsa-base i alsa-utils są zainstalowane więc nie wiem co trzeba jeszcze dorzucić?

może jednak kompilować to jądro - ale rodzi się pytanie: jak?

sporo trudności jak na drugi dzień z nowym systemem
:/

Xax79

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #7 dnia: 2005-09-26, 10:48:25 »
Nie martw sie, dasz sobie rady :)
Ja swoje przygode z linuksem zaczalem jakies 2 lata temu od Gentoo wersji 1.4. Tam to dopiero byla zabawa. Poszedlem na latwizne i kompilowalem wszystko od totalnego zera, lacznie z kernelem. I wiesz co, dziala do teraz :)

Najlepiej by bylo zeby pomogla Ci osoba znajaca sie na ubuntu, ja z tym stycznosci nie mialem, nie mam pojecia jak sie to instaluje ale ...

Z tego co widac w logach:
checking for gcc... no
checking for cc... no
checking for cc... no
checking for cl... no
configure: error: no acceptable cc found in $PATH

Wychodzi na to ze nie masz zainstalowanego gcc. Bez tego nie zainstalujesz niczego co wymaga kompilacji. Sprawdz i zainstaluj to z paczek w pierwszej kolejnosci.

emu10k1
To jest nazwa sterwonika do kart SB. Moze funckjonowac jako modul lub w kernelach 2.6.x byc do niego wkompilowana.
Info jakie sie pojawia znaczy, ze nie masz takiego sterwonika w postaci modulu. Byc moze jest wkompilowane. Wpisz w konsoli lsmod.
Jezeli w kernelu rowniez nie ma, znaczy ze nie masz wsparcia dla dziwieku, nie bedzie dzialac. Ale nie ma sie co zalamywac.
Do wyboru masz dwie opcje. Wkompilowac sterwnik w kernel lub utworzyc modul na podstawie tych sterownikow, ktore dostarcza kernel albo (opcja 2) zainstalowac sterwowniki: pakiet alsa-drivers.
Nie gwarantuje przy tym ze nie bedziesz musial tak czy inaczej przekompilowac kernela :)

PS Sprawdz to gcc, jak nie masz doinstaluje, bez tego sie nie da prawidlowo funckjonowac :)

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #8 dnia: 2005-09-27, 10:31:24 »
chyba jestem krok dalej :)

zainstalowałem GCC i oto, co ujrzałem przy próbie instalacji ALSA:

./configure --with-cards=emu10k1 --with-sequencer=yes;make;make install
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /usr/src/alsa/alsa-driver-1.0.9rc4
checking cross compile...
checking for directory with kernel source... /usr/src/linux
checking for directory with kernel build...
checking for kernel version... The file /usr/src/linux/include/linux/version.h does not exist.
Please, install the package with full kernel sources for your distribution
or use --with-kernel=dir option to specify another directory with kernel
sources (default is /usr/src/linux).
make all-deps
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4\\'
make[1]: Nie ma nic do roboty w `all-deps\\'.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4\\'

Please, run the configure script as first...

rm -f /snd*.*o /persist.o /isapnp.o
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4/acore\\'
Makefile:6: /usr/src/alsa/alsa-driver-1.0.9rc4/Makefile.conf: Nie ma takiego pliku ani katalogu
make[1]: *** Brak reguł do wykonania obiektu `/usr/src/alsa/alsa-driver-1.0.9rc4/Makefile.conf\\'. Stop.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4/acore\\'
make: *** [install-modules] Błąd 1

what next?

Xax79

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #9 dnia: 2005-09-27, 11:04:30 »
Wyglada na to ze nie masz zrodel kernela na swoim kompie. Sprawdz czy istnieje katalog /usr/src/linux i co zawiera
Byc moze zrodla masz w innym katalogu w /usr/src. Wowczas stworz linka do tego katalogu
ln -s /usr/src/katalog_ze_zrodlami /usr/src/linux

Jezeli nie masz zrodel kernela sproboj doinstalowac z plyty (jezeli sie tam znajduja).

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #10 dnia: 2005-09-27, 21:31:12 »
nie wiem czy rzeczywiście zbliżam się do rozwiązania, ale z pewnością dzieje się coraz więcej :)

wybaczcie ogromny cytat, ale teraz widzę coś takiego:

./configure --with-cards=emu10k1 --with-sequencer=yes;make;make install
checking for gcc... gcc
checking for C compiler default output... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ANSI C... none needed
checking for ranlib... ranlib
checking for a BSD-compatible install... /usr/bin/install -c
checking how to run the C preprocessor... gcc -E
checking for egrep... grep -E
checking for ANSI C header files... yes
checking for an ANSI C-conforming const... yes
checking for inline... inline
checking whether time.h and sys/time.h may both be included... yes
checking whether gcc needs -traditional... no
checking for current directory... /usr/src/alsa/alsa-driver-1.0.9rc4
checking cross compile...
checking for directory with kernel source... /usr/src/linux
checking for directory with kernel build...
checking for kernel version... 2.6.0-test7
checking for GCC version... Kernel compiler:  Used compiler: gcc (GCC) 3.3.5 (Debian 1:3.3.5-8ubuntu2)

*** NO PREDEFINED KERNEL COMPILER IS DETECTED
*** Assuming the same compiler is used with the current system compiler.

*** Please make sure that the same compiler version was used for building kernel.

checking for built-in ALSA... \\"no\\"
checking for existing ALSA module... \\"no\\"
checking for Red Hat kernel... \\"auto\\"
checking for Red Hat kernel... \\"no\\"
checking for SUSE kernel... \\"auto\\"
checking for SUSE kernel... \\"no\\"
checking to modify of kernel linux/kmod.h... \\"no\\"
checking for kernel linux/compiler.h... \\"yes\\"
checking for kernel linux/pm.h... \\"yes\\"
checking for kernel linux/spinlock.h... \\"yes\\"
checking for kernel linux/irq.h... \\"yes\\"
checking for kernel linux/threads.h... \\"yes\\"
checking for kernel linux/rwsem.h... \\"yes\\"
checking for kernel linux/gameport.h... \\"yes\\"
checking for kernel linux/devfs_fs_kernel.h... \\"yes\\"
checking for kernel linux/highmem.h... \\"yes\\"
checking for kernel linux/workqueue.h... \\"yes\\"
Removing a dummy linux/workqueue.h.
checking for kernel linux/dma-mapping.h... \\"yes\\"
Removing a dummy linux/dma-mapping.h.
checking for kernel asm/hw_irq.h... \\"no\\"
Creating a dummy ...
checking for kernel linux/device.h... \\"yes\\"
Removing a dummy linux/device.h.
checking for kernel linux/jiffies.h... \\"yes\\"
Removing a dummy linux/jiffies.h.
checking for kernel linux/compat.h... \\"yes\\"
Removing a dummy linux/compat.h.
checking for kernel linux/adb.h... \\"yes\\"
checking for kernel linux/cuda.h... \\"yes\\"
checking for kernel linux/pmu.h... \\"yes\\"
checking for kernel linux/moduleparam.h... \\"yes\\"
Removing a dummy linux/moduleparam.h.
checking for kernel linux/syscalls.h... \\"yes\\"
Removing a dummy linux/syscalls.h.
checking for kernel linux/firmware.h... \\"yes\\"
checking for kernel module symbol versions... \\"no\\"
checking for PCI support in kernel... \\"no\\"
checking for I2C driver in kernel... unknown
checking for firmware loader... unknown
checking for input subsystem in kernel... unknown
checking for directory to store kernel modules... /lib/modules/2.6.0-test7/misc
checking for verbose printk... on
checking for debug level... none
checking for ISA support in kernel... \\"no\\"
checking for processor type... \\"unknown\\"
checking for SMP... \\"no\\"
checking for Video device support in kernel... \\"no\\"
checking for ISA PnP driver in kernel... yes
checking for PnP driver in kernel... yes
checking for Kernel ISA-PnP support... \\"no\\"
checking for Kernel ISA-PnP module support... \\"no\\"
checking for strlcpy... \\"no\\"
checking for snprintf... \\"no\\"
checking for vsnprintf... \\"no\\"
checking for scnprintf... \\"no\\"
checking for sscanf... \\"no\\"
checking for vmalloc_to_page... \\"no\\"
checking for old kmod... \\"yes\\"
checking for PDE... \\"no\\"
checking for pci_set_consistent_dma_mask... \\"no\\"
checking for pci_dev_present... \\"no\\"
checking for msleep... \\"no\\"
checking for tty->count is the atomic type... \\"no\\"
checking for io_remap_pfn_range... \\"no\\"
checking for new io_remap_page_range... \\"no\\"
checking for kcalloc... \\"no\\"
checking for saved_config_space in pci_dev... \\"no\\"
Removing local linux/pnp.h.
checking for driver version... 1.0.9rc4
checking for sequencer support... yes
checking for OSS/Free emulation... yes
checking for RTC callback support in kernel... \\"no\\"
checking for HPET support... \\"no\\"
checking for Procfs support... \\"no\\"
checking for USB support... \\"no\\"
checking for USB module support... \\"no\\"
checking for new unlocked/compat_ioctl... \\"no\\"
checking for PC-Speaker hook... \\"no\\"
checking for kernel PCMCIA
checking for PCMCIA support... \\"no\\"
checking for PCMCIA module support... \\"no\\"
checking for PC9800 support in kernel... \\"no\\"
checking for parallel port support... \\"no\\"
checking for parallel port module support... \\"no\\"
checking for which soundcards to compile driver for... configure: error: Unsupported soundcard emu10k1
make all-deps
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4\\'
make[1]: Nie ma nic do roboty w `all-deps\\'.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4\\'

Please, run the configure script as first...

rm -f /snd*.*o /persist.o /isapnp.o
make[1]: Wejście do katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4/acore\\'
Makefile:6: /usr/src/alsa/alsa-driver-1.0.9rc4/Makefile.conf: Nie ma takiego pliku ani katalogu
make[1]: *** Brak reguł do wykonania obiektu `/usr/src/alsa/alsa-driver-1.0.9rc4/Makefile.conf\\'. Stop.
make[1]: Opuszczenie katalogu `/usr/src/alsa/alsa-driver-1.0.9rc4/acore\\'
make: *** [install-modules] Błąd 1

xis

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #11 dnia: 2005-09-27, 22:01:47 »
Hmm, to jeszcze raz ja :)
Widzę, ze wybrałeś jednak drogę kompilacji jądra, a nie bardzo chyba wiesz co ona ma dać.
Otóż skompilowanie wraz z jądrem ALSY da tylko tyle, że będziesz miał do dyspozycji moduł do obsługi swojej karty i...
na 99% to akurat masz już w swoim systemie. Masz jadro 2.6 posiadające ALSĘ wewnątrz, a większość dystrybucji (i wątpię, żeby ubuntu miało tu postępować inaczej) udostępnia swoje jądra wraz z większością popularnych modułów (alsa jest popularna, a emu10k1 chyba nawet bardziej).
Proponuję Ci najpierw zainteresować się czymś, co być może przeoczyłeś:
Piszesz, że próbowałeś załadować moduł komendami \\'insmod emu10k1\\' i \\'modprobe emu10k1\\'. Trzeba Ci wiedzieć, że ALSA poprzedza nazwy swoich modułów prefiksem snd_, zatem spróbuj:

modprobe snd_emu10k1

lub

modprobe snd-emu10k1

Wynik operacji (nie powinno być żadnego komunikatu) sprawdź za pomocą komendy lsmod (jako root). Moduł powinien widnieć na liście.
W zasadzie nie potrzebujesz alsaconf, bo alsaconf zrobiłoby dokładnie to samo, czyli wspomniany modprobe.
Daj znać, czy modprobe zadziałał - jeśli tak, to zaradzimy coś, żeby zapisać ustawienia i zrobić głośniej ;)

xis

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #12 dnia: 2005-09-27, 22:07:38 »
Na stronie ALSY jest też informacja, że starsze wersje sterowników można było ładować za pomocą

modprobe snd-card-emu10k1

.. może to coś da?

Żeby raz na zawsze rozwiać wątpliwości czy masz ten moduł czy nie, wykonaj jako root:

find /lib/modules -iname \\'*emu10k1*\\'

i powiedz co zwróciło.

s4

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #13 dnia: 2005-09-27, 22:14:31 »
okej, a więc:

1. find /lib/modules -iname \\'*emu10k1*\\'
/lib/modules/2.6.10-5-386/kernel/drivers/input/gameport/emu10k1-gp.ko
/lib/modules/2.6.10-5-386/kernel/sound/oss/emu10k1
/lib/modules/2.6.10-5-386/kernel/sound/oss/emu10k1/emu10k1.ko
/lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1
/lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1-synth.ko
/lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1.ko
/lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1x.ko

2. modprobe w obu zaproponowanych przez Ciebie wariantach nie zwrócił niczego

3. wynik wykonania lsmod:
Module                  Size  Used by
snd_emu10k1            81668  0
snd_rawmidi            22944  1 snd_emu10k1
snd_seq_device          8332  2 snd_emu10k1,snd_rawmidi
snd_ac97_codec         64608  1 snd_emu10k1
snd_pcm_oss            47652  0
snd_mixer_oss          16768  1 snd_pcm_oss
snd_pcm                84872  3 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
snd_timer              23300  1 snd_pcm
snd_page_alloc          9604  2 snd_emu10k1,snd_pcm
snd_util_mem            4608  1 snd_emu10k1
snd_hwdep               9220  1 snd_emu10k1
snd                    50276  9 snd_emu10k1,snd_rawmidi,snd_seq_device,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
soundcore               9824  1 snd
speedstep_lib           4228  0
proc_intf               4100  0
freq_table              4100  0
cpufreq_userspace       4572  0
cpufreq_ondemand        6172  0
cpufreq_powersave       1920  0
video                  16260  0
sony_acpi               6280  0
pcc_acpi               11264  0
button                  6800  0
battery                10244  0
container               4608  0
ac                      4996  0
ipv6                  229504  9
8139cp                 19200  0
8139too                24320  0
mii                     4736  2 8139cp,8139too
tsdev                   7488  0
usbhid                 29376  0
i2c_i801                8076  0
i2c_core               21264  1 i2c_i801
uhci_hcd               30224  0
usbcore               107384  3 usbhid,uhci_hcd
hw_random               5524  0
pci_hotplug            30512  0
intel_agp              20636  1
agpgart                31784  1 intel_agp
floppy                 54864  0
pcspkr                  3816  0
rtc                    12216  0
md                     43856  0
dm_mod                 53116  1
capability              5000  0
evdev                   9088  0
commoncap               7808  1 capability
psmouse                19336  0
mousedev               11160  1
parport_pc             34372  1
lp                     10792  0
parport                33480  2 parport_pc,lp
ide_cd                 38532  0
cdrom                  36508  1 ide_cd
ext3                  120968  1
jbd                    54168  1 ext3
ide_generic             1664  0
piix                    9988  1
ide_disk               18176  4
ide_core              118988  4 ide_cd,ide_generic,piix,ide_disk
unix                   26164  714
thermal                13576  0
processor              22708  1 thermal
fan                     4612  0
fbcon                  34048  0
font                    8448  1 fbcon
bitblit                 5120  1 fbcon
vesafb                  6948  0
cfbcopyarea             3968  1 vesafb
cfbimgblt               3072  1 vesafb
cfbfillrect             3584  1 vesafb

sam ewidentnie widzę jakiś ac97codec - więc czemu nadal przy próbie uruchomienia choćby narzędzia regulacji głośności nadal widać komunikat

\\"nie znaleziono elementów i/lub urządzeń regulacji głośności\\"

?

xis

  • Gość
2.6.13.2 i IP_CONNTRACK
« Odpowiedź #14 dnia: 2005-09-27, 22:24:28 »
2005-09-27 22:14:31 s4 napisał:

> okej, a więc:
 >
 > 1. find /lib/modules -iname \\'*emu10k1*\\'
 > /lib/modules/2.6.10-5-386/kernel/drivers/input/gameport/emu10k1-gp.ko
 > /lib/modules/2.6.10-5-386/kernel/sound/oss/emu10k1
 > /lib/modules/2.6.10-5-386/kernel/sound/oss/emu10k1/emu10k1.ko
 > /lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1
 > /lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1-synth.ko
 > /lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1.ko
 > /lib/modules/2.6.10-5-386/kernel/sound/pci/emu10k1/snd-emu10k1x.ko
 >
 > 2. modprobe w obu zaproponowanych przez Ciebie wariantach nie zwrócił niczego
 >
 > 3. wynik wykonania lsmod:
 > Module                  Size  Used by
 > snd_emu10k1            81668  0
 > snd_rawmidi            22944  1 snd_emu10k1
 > snd_seq_device          8332  2 snd_emu10k1,snd_rawmidi
 > snd_ac97_codec         64608  1 snd_emu10k1
 > snd_pcm_oss            47652  0
 > snd_mixer_oss          16768  1 snd_pcm_oss
 > snd_pcm                84872  3 snd_emu10k1,snd_ac97_codec,snd_pcm_oss
 > snd_timer              23300  1 snd_pcm
 > snd_page_alloc          9604  2 snd_emu10k1,snd_pcm
 > snd_util_mem            4608  1 snd_emu10k1
 > snd_hwdep               9220  1 snd_emu10k1
 > snd                    50276  9
 > snd_emu10k1,snd_rawmidi,snd_seq_device,snd_ac97_codec,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_timer,snd_hwdep
 > soundcore               9824  1 snd
 [ciach]

Przede wszystkim - moduły emu10k1 masz i są one zainstalowane. Gratuluję :) Chyba obejdzie się bez kompilacji.
Teraz druga sprawa, snd-ac97-codec to moduł kart ac97 (czyli w większości przypadków chodzi o te zintegrowane \\'trzeszczawki\\'), troszke dziwnie to wygląda, ale nie mogę się wypowiedzieć, bo nie mam emu10k1, więc nie wiem, czy to konflikt, czy po prostu komponent współpracujący z emu10k1. Sam mam zintegrowanego intela, a tu ac97 to norma. Jeśli masz zintegrowaną kartę muz. na płycie, to zadbaj o jej wyłączenie w biosie - byc może cały galimatias przez to, że się gryzą.
Inne pytanie: czy masz alsamixer?